core_kernel

Industrial strength alternative to OCaml's standard library
Description

The Core suite of libraries is an industrial strength alternative to OCaml's standard library that was developed by Jane Street, the largest industrial user of OCaml.

Core_kernel is the system-independent part of Core.

Install
Published
21 Mar 2022
Sources
core_kernel-v0.15.0.tar.gz
sha256=34a0288f16027c6b90e4ad16cb5cc677d7063d310faf918748ce70f1745116c0
Dependencies
dune
>= "2.0.0"
ppx_jane
>= "v0.15" & < "v0.16"
int_repr
>= "v0.15" & < "v0.16"
core
>= "v0.15" & < "v0.16"
base
>= "v0.15" & < "v0.16"
ocaml
>= "4.11.0"
Reverse Dependencies
async
>= "v0.15.0"
async_durable
>= "v0.15.0"
async_extra
>= "v0.15.0"
async_kernel
>= "v0.15.0"
async_unix
>= "v0.15.0"
async_websocket
>= "v0.15.0"
bap-abi
>= "2.2.0" & != "2.4.0"
bap-analyze
!= "2.4.0"
bap-api
>= "2.2.0" & != "2.4.0"
bap-arm
>= "2.2.0" & != "2.4.0"
bap-beagle
>= "2.2.0" & != "2.4.0"
bap-bil
>= "2.2.0" & != "2.4.0"
bap-build
>= "2.2.0" & != "2.4.0"
bap-bundle
>= "2.2.0" & != "2.4.0"
bap-byteweight
>= "2.2.0" & != "2.4.0"
bap-byteweight-frontend
>= "2.2.0" & != "2.4.0"
bap-c
>= "2.2.0" & != "2.4.0"
bap-cache
>= "2.2.0" & != "2.4.0"
bap-core-theory
>= "2.2.0" & != "2.4.0"
bap-demangle
>= "2.2.0" & != "2.4.0"
bap-disassemble
>= "2.2.0" & != "2.4.0"
bap-dump-symbols
>= "2.2.0" & != "2.4.0"
bap-dwarf
>= "2.2.0" & != "2.4.0"
bap-elf
>= "2.2.0" & != "2.4.0"
bap-frontend
>= "2.2.0" & != "2.4.0"
bap-future
>= "2.2.0" & != "2.4.0"
bap-ghidra
>= "2.5.0"
bap-glibc-runtime
>= "2.2.0" & != "2.4.0"
bap-ida
>= "2.2.0" & != "2.4.0"
bap-ida-plugin
>= "2.2.0" & != "2.4.0"
bap-knowledge
>= "2.2.0" & != "2.4.0"
bap-llvm
>= "2.2.0" & != "2.4.0"
bap-mc
>= "2.2.0" & != "2.4.0"
bap-microx
>= "2.2.0" & != "2.4.0"
bap-mips
>= "2.2.0" & != "2.4.0"
bap-objdump
>= "2.2.0" & != "2.4.0"
bap-optimization
>= "2.2.0" & != "2.4.0"
bap-patterns
>= "2.5.0"
bap-phoenix
>= "2.2.0" & != "2.4.0"
bap-plugins
>= "2.2.0" & != "2.4.0"
bap-powerpc
>= "2.2.0" & != "2.4.0"
bap-primus
>= "2.2.0" & != "2.4.0"
bap-primus-lisp
>= "2.2.0" & != "2.4.0"
bap-primus-powerpc
>= "2.2.0" & != "2.4.0"
bap-primus-random
>= "2.2.0" & != "2.4.0"
bap-primus-symbolic-executor
>= "2.2.0" & != "2.4.0"
bap-primus-systems
>= "2.2.0" & != "2.4.0"
bap-print
>= "2.2.0" & != "2.4.0"
bap-radare2
!= "2.4.0"
bap-raw
>= "2.2.0" & != "2.4.0"
bap-relocatable
>= "2.2.0" & != "2.4.0"
bap-riscv
!= "2.4.0"
bap-std
>= "2.2.0" & != "2.4.0"
bap-strings
>= "2.2.0" & != "2.4.0"
bap-stub-resolver
>= "2.2.0" & != "2.4.0"
bap-symbol-reader
>= "2.2.0" & != "2.4.0"
bap-systemz
!= "2.4.0"
bap-taint
>= "2.2.0" & != "2.4.0"
bap-term-mapper
>= "2.2.0" & != "2.4.0"
bap-thumb
!= "2.4.0"
bap-trace
>= "2.2.0" & != "2.4.0"
bap-traces
>= "2.2.0" & != "2.4.0"
bap-x86
>= "2.2.0" & != "2.4.0"
bare
>= "2.2.0" & != "2.4.0"
bio_io
>= "0.3.0" & < "0.5.1"
biocaml
>= "0.11.0" & < "0.11.2"
bonsai
>= "v0.15.0"
capnp
>= "3.0.0" & < "3.2.0"
caqti-async
>= "1.3.0"
cfstream
>= "1.3.1"
core_bench
>= "v0.15.0"
core_profiler
>= "v0.15.0"
core_unix
>= "v0.15.0"
cstruct-async
>= "3.0.2" & < "6.1.0"
dbf
>= "0.1.1"
ecaml
>= "v0.15.0"
email_message
>= "v0.15.0"
flow_parser
>= "0.159.0"
git
< "1.3.0"
graphlib
>= "2.2.0" & != "2.4.0"
hack_parallel
= "1.0.0"
incremental
>= "v0.15.0"
irmin
< "0.9.0"
libsvm
= "0.9.3" | >= "0.10.0"
memtrace_viewer
>= "v0.15.0"
monads
>= "2.2.0" & != "2.4.0"
ocaml_plugin
>= "v0.15.0"
ogre
>= "2.2.0" & != "2.4.0"
opium
>= "0.12.0" & < "0.15.0"
patdiff
>= "v0.15.0"
plotkicadsch
>= "0.5.0" & < "0.7.0"
postgres_async
>= "v0.15.0"
pyml_bindgen
< "0.4.1"
re2
>= "v0.15.0"
regular
>= "2.2.0" & != "2.4.0"
rpc_parallel
>= "v0.15.0"
sexp
>= "v0.15.0"
text-tags
>= "2.2.0" & != "2.4.0"
textutils
>= "v0.15.0"
tidy
>= "5.6-0.1"
topology
>= "0.4.0"
travesty
>= "0.3.0" & < "0.6.0"
vcaml
>= "v0.15.0"
zstandard
>= "v0.15.0"